%define name kradio
%define pre alpha2
%define version 0.3.0 
%define release %{pre}.3mdk
%define iconname kradio.png
%define __libtoolize /bin/true
 
Summary:   A V4L/V4L2-Radio Application for KDE 3.x
Name:      kradio
Version:   %{version}
Release:   %{release}
Group:     Sound
License:     GPL
Url:       http://sourceforge.net/projects/kradio
Source:  %{name}-%{version}-%{pre}.tar.bz2 
BuildRequires: libarts-devel
BuildRequires: kdelibs-devel
BuildRequires: libsndfile-devel
BuildRequires: qt3-devel
BuildRequires: jpeg-devel
BuildRequires: XFree86-devel
BuildRequires: chrpath

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Comfortable Radio Application for KDE 3.x

KRadio is a comfortable radio application for KDE 3.x.
It has support for V4L and V4L2 radio cards drivers.

KRadio currently provides:

* V4L/V4L2 Radio support
* Remote Control support (LIRC)
* Alarms, Sleep Countdown
* Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
* Recording Capabilities
* Extendable Plugin Architecture

This Package also includes a growing collection of station preset.
files for many cities around the world contributed by KRadio Users.

As KRadio is based on an extendable plugin architecture.

%prep
%setup -q -n %{name}-%{version}-%{pre}
 
%build
 
%configure2_5x

%make
 
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

# rm dup docs
rm -rfd $RPM_BUILD_ROOT/usr/share/doc/kradio

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 kradio/lo48-app-kradio.png %{buildroot}%{_liconsdir}/%{iconname}
install -m 644 kradio/lo32-app-kradio.png %{buildroot}%{_iconsdir}/%{iconname}
install -m 644 kradio/lo16-app-kradio.png %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{name}" \
	icon="%{iconname}" \
	title="Kradio" \
	longtitle="A V4L/V4L2-Radio Application" \
	needs="x11" \
	section="Multimedia/Sound"
EOF

%find_lang %{name} 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%dir %{_datadir}/apps/%{name}
%dir %{_datadir}/applnk/*
%{_bindir}/convert-presets
%{_bindir}/%{name}
%{_datadir}/applnk/*/%{name}.desktop
%{_datadir}/apps/%{name}/*
%{_menudir}/%{name} 
%{_iconsdir}/*
 

%changelog
* Tue Dec 30 2003 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-alpha2.3mdk
- DIRM fix

* Mon Dec 29 2003 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-alpha2.2mdk
- really disable rpath --thanks to Marcel Pol

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-alpha2.1mdk
- first mdk release
